Skip to main content

Get transfer

GET 

/subaccounts/transfers/{transferId}

Returns information about a transfer of assets between a subaccount and your main account.

info

This is a private endpoint. To send requests, you need to authenticate.

warning

To use this private endpoint, you must use the API key of your main account with the Internal transfer permission.

Rate limit weight points: 5

Request

Path Parameters

    transferId uuidrequired

    The unique identifier for the transfer.

Responses

The request was successful.

Response Headers
    bitvavo-ratelimit-remaining

    The number of remaining weight points before it resets at bitvavo-ratelimit-resetat.

    bitvavo-ratelimit-resetat

    The time when bitvavo-ratelimit-remaining resets to bitvavo-ratelimit-limit.

    bitvavo-ratelimit-limit

    The number of available weight points in one minute.

Schema
    transferIdstring<uuid>required

    Bitvavo identifier of the transfer.

    clientRequestIdstring<uuid>

    Your identifier of the transfer.

    subaccountIdstring<uuid>required

    The unique identifier for the subaccount.

    directionstringrequired

    Indicates the direction of the transfer.

    Possible values: [masterToSub, subToMaster]

    symbolstringrequired

    The asset that was transferred.

    amountstringrequired

    The quantity of the asset to transfer.

    statusstringrequired

    Status of the transfer.

    Possible values: [failed, pending, completed]

    createdAtstringrequired

    The Unix timestamp when the transfer was created.